Browse Source

jenkins-*.sh: set -x

Also move the options from the shebang line to the body of the script, so that
they take effect even if somebody explicitly runs "bash jenkins.sh"
Richard van der Hoff 8 years ago
parent
commit
62d808becc
4 changed files with 12 additions and 4 deletions
  1. 3 1
      jenkins-flake8.sh
  2. 3 1
      jenkins-postgres.sh
  3. 3 1
      jenkins-sqlite.sh
  4. 3 1
      jenkins-unittests.sh

+ 3 - 1
jenkins-flake8.sh

@@ -1,4 +1,6 @@
-#!/bin/bash -eu
+#!/bin/bash
+
+set -eux
 
 : ${WORKSPACE:="$(pwd)"}
 

+ 3 - 1
jenkins-postgres.sh

@@ -1,4 +1,6 @@
-#!/bin/bash -eu
+#!/bin/bash
+
+set -eux
 
 : ${WORKSPACE:="$(pwd)"}
 

+ 3 - 1
jenkins-sqlite.sh

@@ -1,4 +1,6 @@
-#!/bin/bash -eu
+#!/bin/bash
+
+set -eux
 
 : ${WORKSPACE:="$(pwd)"}
 

+ 3 - 1
jenkins-unittests.sh

@@ -1,4 +1,6 @@
-#!/bin/bash -eu
+#!/bin/bash
+
+set -eux
 
 : ${WORKSPACE:="$(pwd)"}